const
cp852tbl:utf8conv =
  (199,252,233,226,228,367,263,231,322,235,336,337,238,377,196,262,201,313,314,244,246,317,318,346,347,214,220,356,357,321,
   215,269,225,237,243,250,260,261,381,382,280,281,65535,378,268,351,171,187,9617,9618,9619,9474,9508,193,194,282,350,9571,9553,9559,
   9565,379,380,9488,9492,9524,9516,9500,9472,9532,258,259,9562,9556,9577,9574,9568,9552,9580,164,273,272,270,203,271,327,205,206,283,9496,
   9484,9608,9604,354,366,9600,211,223,212,323,324,328,352,353,340,218,341,368,253,221,355,180,173,733,731,711,728,167,247,184,
   176,168,729,369,344,345,9632,160);

_lsipka_obrazek:array[1..225] of word =
($FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF);

_psipka_obrazek:array[1..225] of word =
($FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF);

_hsipka_obrazek:array[1..225] of word =
($FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,
$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,
$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,
$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$0,
$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,
$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF);

_dsipka_obrazek:array[1..225] of word =
($FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$0,$0,$0,$0,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$0,
$0,$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$0,$0,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$0,$0,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$0,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,$FFFF,
$FFFF);

var
whlasky:pdpole;

Procedure NastavHlasky;
begin
dvojlistbox_vsepol:=w_VSEPOL;
dvojlistbox_vybpol:=w_VYBPOL;
end;

Procedure NactiHlasky_ze_souboru(s:string);
{var i,j:longint;
    e:PClanek;}


begin
if not ExistFile(s) then Exit;
whlasky:=Nacti_Data(s);

{
j:=longint(whlasky[0]);
for i:=1 to j do
    begin
    e:=whlasky^[i];
    writeln(e^.nadpis^+' : '+e^.text);
    end;
readln;
}

w_OK := hllp(whlasky,'_OK');
w_OK2 := hllp(whlasky,'_OK2');
w_ANO := hllp(whlasky,'_ANO');
w_NE := hllp(whlasky,'_NE');
w_CANCEL := hllp(whlasky,'_CANCEL');
w_CANCEL2 := hllp(whlasky,'_CANCEL2');
w_POMOC := hllp(whlasky,'_POMOC');
w_PALETA := hllp(whlasky,'_PALETA');
w_MIXBAREV:= hllp(whlasky,'_MIXBAREV');
w_FS_INFO := hllp(whlasky,'_FS_INFO');
w_FS_DISK := hllp(whlasky,'_FS_DISK');
w_ZADAT := hllp(whlasky,'_ZADAT');
w_PRIDEJPOL := hllp(whlasky,'_PRIDEJPOL');
w_UBERPOL := hllp(whlasky,'_UBERPOL');
w_FS_NOVYADRESAR := hllp(whlasky,'_FS_NOVYADRESAR');
w_ZPET := hllp(whlasky,'_ZPET');
w_VPRED := hllp(whlasky,'_VPRED');

w_INFO := hllp(whlasky,'_INFO');
w_DOTAZ := hllp(whlasky,'_DOTAZ');
w_ANONE_DOTAZ := hllp(whlasky,'_ANONE_DOTAZ');
w_CHYBA := hllp(whlasky,'_CHYBA');
w_VLOZ_TEXT := hllp(whlasky,'_VLOZ_TEXT');
w_VYBER_BARVU := hllp(whlasky,'_VYBER_BARVU');
w_FS_ADR_JAKSEMAJMENOVAT := hllp(whlasky,'_FS_ADR_JAKSEMAJMENOVAT');
w_FS_PRO_CTENI := hllp(whlasky,'_FS_PRO_CTENI');
w_FS_SKRYTY := hllp(whlasky,'_FS_SKRYTY');
w_FS_SYSTEMOVY := hllp(whlasky,'_FS_SYSTEMOVY');
w_FS_ARCHIVOVAT := hllp(whlasky,'_FS_ARCHIVOVAT');
w_FS_ZADNE := hllp(whlasky,'_FS_ZADNE');
w_FS_ZPRAVA := hllp(whlasky,'_FS_ZPRAVA');
w_FS_SOUBOR := hllp(whlasky,'_FS_SOUBOR');
w_FS_VELIKOST := hllp(whlasky,'_FS_VELIKOST');
w_FS_B := hllp(whlasky,'_FS_B');
w_FS_KB := hllp(whlasky,'_FS_KB');
w_FS_B2:= hllp(whlasky,'_FS_B2');
w_FS_KB2:= hllp(whlasky,'_FS_KB2');
w_FS_MB2:= hllp(whlasky,'_FS_MB2');
w_FS_GB2:= hllp(whlasky,'_FS_GB2');
w_FS_POSL_ZMENA := hllp(whlasky,'_FS_POSL_ZMENA');
w_FS_ATRIBUTY := hllp(whlasky,'_FS_ATRIBUTY');
w_FS_VYBER_SOUBOR := hllp(whlasky,'_FS_VYBER_SOUBOR');
w_FS_SOUBORNEVYTVOREN := hllp(whlasky,'_FS_SOUBORNEVYTVOREN');
w_FS_ADRESARNEVYTVOREN := hllp(whlasky,'_FS_ADRESARNEVYTVOREN');
w_FS_DISK2 := hllp(whlasky,'_FS_DISK2');
w_FS_DISK3 := hllp(whlasky,'_FS_DISK3');
w_FS_JMENOVKADISKU :=hllp(whlasky,'_FS_JMENOVKADISKU');
w_FS_SYSTEMSOUBORU :=hllp(whlasky,'_FS_SYSTEMSOUBORU');
w_FS_KAPACITA := hllp(whlasky,'_FS_KAPACITA');
w_FS_VOLNEHO :=hllp(whlasky,'_FS_VOLNEHO');
w_FS_SERCISLO := hllp(whlasky,'_FS_SERCISLO');
w_FS_VYBER_NECO := hllp(whlasky,'_FS_VYBER_NECO');
w_FS_JEDNOTKA_NEPRIPRAVENA :=hllp(whlasky,'_FS_JEDNOTKA_NEPRIPRAVENA');
w_PREPSATSOUBOR := hllp(whlasky,'_PREPSATSOUBOR');
w_VSEPOL := hllp(whlasky,'_VSEPOL');
w_VYBPOl := hllp(whlasky,'_VYBPOL');
w_VYBINFO := hllp(whlasky,'_VYBINFO');
w_VYBINFO2 := hllp(whlasky,'_VYBINFO2');


dvojlistbox_vsepol:=w_VSEPOL;
dvojlistbox_vybpol:=w_VYBPOL;
mouse_not_installed_message := hllp(whlasky,'_MOUSE_NOT_INSTALLED');
LFB_not_available_message := hllp(whlasky,'_LFB_NOT_AVAILABLE');
{Dve posledni hlasky pouziva VenomGFX. Ma svoje defaultni, ale timhle se prebijou}
end;

